/**
 *  BlueCove - Java library for Bluetooth
 *  Copyright (C) 2006-2007 Vlad Skarzhevskyy
 *
 *  Licensed to the Apache Software Foundation (ASF) under one
 *  or more contributor license agreements.  See the NOTICE file
 *  distributed with this work for additional information
 *  regarding copyright ownership.  The ASF licenses this file
 *  to you under the Apache License, Version 2.0 (the
 *  "License"); you may not use this file except in compliance
 *  with the License.  You may obtain a copy of the License at
 *
 *    http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing,
 *  software distributed under the License is distributed on an
 *  "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 *  KIND, either express or implied.  See the License for the
 *  specific language governing permissions and limitations
 *  under the License.
 *
 *  @author vlads
 *  @version $Id: StringVar.java 2471 2008-12-01 03:44:20Z skarzhevskyy $
 */
package net.sf.bluecove.util;

/**
 * Class used instead of String since there are no reflection in J2ME. 
 */
public class StringVar {
	
	private String value;
	
	public StringVar() {
		this.value = null;
	}
	
	public StringVar(String value) {
		this.value = value;
	}
	
	public void setValue(String value) {
		this.value = value;
	}
	
	public boolean equals(Object obj) {
		if (this.value == null) {
			return false;
		} else {
			return this.value.equals(obj);
		}
	}
	
	public String toString() {
		return this.value;
	}
}
