package br.ime.usp.mac499.bluetooth.emulator.device;

import javax.bluetooth.BluetoothStateException;

/*
 * This file is part of MAC499 Bluetooth NFC Copyright (C) 2010 Rodolpho Atoji
 * 
 * This program is free software; you can redistribute it and/or modify it under
 * the terms of the GNU General Public License as published by the Free Software
 * Foundation; either version 2 of the License, or (at your option) any later
 * version.
 * 
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU General Public License for more
 * details.
 * 
 * You should have received a copy of the GNU General Public License along with
 * this program; if not, write to the Free Software Foundation, Inc., 51
 * Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 */

/**
 * Thread-wrapper for an emulated advertising device.
 * 
 * @author Rodolpho Atoji
 */
public class RunnableEmulatedAdvertisingDevice implements Runnable {

	private final EmulatedAdvertisingDevice advertisingDevice;
	
	private boolean running;
	
	public RunnableEmulatedAdvertisingDevice(
			EmulatedAdvertisingDevice advertisingDevice) {
		this.advertisingDevice = advertisingDevice;
	}

	@Override
	public void run() {
		this.running = true;
		try {
			advertisingDevice.initialize();
		} catch (BluetoothStateException e) {
			e.printStackTrace();
			
			this.running = false;
			return;
		}
		
		while (running)
			advertisingDevice.receivePush();
	}
	
	public void stopDevice() {
		this.running = false;
		advertisingDevice.stopPush();
	}

}
