package br.ime.usp.mac499.bluetooth.emulator.device.behavior.impl;

import javax.bluetooth.BluetoothStateException;
import javax.bluetooth.DiscoveryAgent;
import javax.bluetooth.LocalDevice;

import br.ime.usp.mac499.bluetooth.emulator.device.behavior.DiscoveryBehavior;

/*
 * This file is part of MAC499 Bluetooth NFC Copyright (C) 2010 Rodolpho Atoji
 * 
 * This program is free software; you can redistribute it and/or modify it under
 * the terms of the GNU General Public License as published by the Free Software
 * Foundation; either version 2 of the License, or (at your option) any later
 * version.
 * 
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU General Public License for more
 * details.
 * 
 * You should have received a copy of the GNU General Public License along with
 * this program; if not, write to the Free Software Foundation, Inc., 51
 * Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 */

/**
 * Sets an emulated device permanently hidden to the discovery process.
 * 
 * Can be used to force NFC devices to touch the reader to be detected.
 * 
 * @author Rodolpho Atoji
 */
public class InvisibleDiscoveryBehavior implements DiscoveryBehavior {

	@Override
	public void initialize() throws BluetoothStateException {
		LocalDevice.getLocalDevice().setDiscoverable(DiscoveryAgent.NOT_DISCOVERABLE);
	}

}
