package br.ime.usp.mac499.bluetooth.emulator.device.behavior.impl;

import java.io.IOException;

import javax.bluetooth.BluetoothStateException;
import javax.bluetooth.LocalDevice;
import javax.microedition.io.Connector;
import javax.obex.SessionNotifier;

import br.ime.usp.mac499.bluetooth.emulator.device.behavior.ServiceBehavior;

/*
 * This file is part of MAC499 Bluetooth NFC Copyright (C) 2010 Rodolpho Atoji
 * 
 * This program is free software; you can redistribute it and/or modify it under
 * the terms of the GNU General Public License as published by the Free Software
 * Foundation; either version 2 of the License, or (at your option) any later
 * version.
 * 
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU General Public License for more
 * details.
 * 
 * You should have received a copy of the GNU General Public License along with
 * this program; if not, write to the Free Software Foundation, Inc., 51
 * Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 */

/**
 * Enables SDP registry in the emulated device, with OBEX push service
 * available.
 * 
 * 
 * @author Rodolpho Atoji
 */
public class OBEXPushServiceBehavior implements ServiceBehavior {

	private SessionNotifier notifier;

	@Override
	public void initialize(String connectionURL) throws BluetoothStateException {
		try {
			this.notifier = (SessionNotifier) Connector.open(connectionURL);
			LocalDevice.getLocalDevice().getRecord(notifier);
		} catch (IOException e) {
			e.printStackTrace();
		}
	}

	@Override
	public SessionNotifier getNotifier() {
		return notifier;
	}

}
