package br.ime.usp.mac499.bluetooth.simulation;

import java.util.LinkedList;
import java.util.List;

import br.ime.usp.mac499.bluetooth.emulator.device.EmulatedAdvertisingDevice;

/*
 * This file is part of MAC499 Bluetooth NFC Copyright (C) 2010 Rodolpho Atoji
 * 
 * This program is free software; you can redistribute it and/or modify it under
 * the terms of the GNU General Public License as published by the Free Software
 * Foundation; either version 2 of the License, or (at your option) any later
 * version.
 * 
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU General Public License for more
 * details.
 * 
 * You should have received a copy of the GNU General Public License along with
 * this program; if not, write to the Free Software Foundation, Inc., 51
 * Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 */

/**
 * Simulation scenario data holder.
 * 
 * @author Rodolpho Atoji
 */
public class SimulationScenario {
	
	private String name;
	
	private int duration;
	
	private List<EmulatedAdvertisingDevice> deviceList;
	
	public SimulationScenario() {
		this.deviceList = new LinkedList<EmulatedAdvertisingDevice>();
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public int getDuration() {
		return duration;
	}

	public void setDuration(int duration) {
		this.duration = duration;
	}

	public List<EmulatedAdvertisingDevice> getDeviceList() {
		return deviceList;
	}
	
	public void addAdvertisingDevice(EmulatedAdvertisingDevice device) {
		deviceList.add(device);
	}

}
