package br.ime.usp.mac499.bluetooth.common.discovery;

import java.util.Date;
import java.util.List;

/*
 * This file is part of MAC499 Bluetooth NFC Copyright (C) 2010 Rodolpho Atoji
 * 
 * This program is free software; you can redistribute it and/or modify it under
 * the terms of the GNU General Public License as published by the Free Software
 * Foundation; either version 2 of the License, or (at your option) any later
 * version.
 * 
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU General Public License for more
 * details.
 * 
 * You should have received a copy of the GNU General Public License along with
 * this program; if not, write to the Free Software Foundation, Inc., 51
 * Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 */

/**
 * Observer to be notified at the end of a discovery process.
 * 
 * @author Rodolpho Atoji
 */
public interface DiscoveryObserver {

	/**
	 * Take an action about discovered devices.
	 * 
	 * @param discoveredList List of discovered devices. 
	 * @param startTime Start time of discovery process.
	 * @param endTime End time of discovery process.
	 * @param status Status of discovery process (OK, failed, termnated, etc)
	 */
	public void notifyDevicesDiscovered(List<DiscoveredDevice> discoveredList,
			Date startTime, Date endTime, DiscoveryStatus status);

}
