package br.ime.usp.mac499.bluetooth.common.discovery;

import javax.bluetooth.DiscoveryAgent;

/*
 * This file is part of MAC499 Bluetooth NFC 
 * Copyright (C) 2010 Rodolpho Atoji
 * 
 * This program is free software; you can redistribute it and/or modify it under
 * the terms of the GNU General Public License as published by the Free Software
 * Foundation; either version 2 of the License, or (at your option) any later
 * version.
 * 
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU General Public License for more
 * details.
 * 
 * You should have received a copy of the GNU General Public License along with
 * this program; if not, write to the Free Software Foundation, Inc., 51
 * Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 */

/**
 * Supported discovery types:
 * 
 * <ul>
 * 	<li>GIAC (General Inquiry Access Code): search for all visible
 * 	Bluetooth devices in the vicinity;</li>
 * 	<li>LIAC (Limited Inquiry Access Code): search for devices visible by
 * 	limited time.</li>
 * </ul> 
 * 
 * @author Rodolpho Atoji
 */
public enum DiscoveryType {

	GENERAL (DiscoveryAgent.GIAC),
	LIMITED (DiscoveryAgent.LIAC);
	
	private final int inquiryCode;
	
	private DiscoveryType(int inquiryCode) {
		this.inquiryCode = inquiryCode;
	}

	public int getInquiryCode() {
		return inquiryCode;
	}
	
}
