package br.ime.usp.mac499.bluetooth.common.sdp;

/*
 * This file is part of MAC499 Bluetooth NFC Copyright (C) 2010 Rodolpho Atoji
 * 
 * This program is free software; you can redistribute it and/or modify it under
 * the terms of the GNU General Public License as published by the Free Software
 * Foundation; either version 2 of the License, or (at your option) any later
 * version.
 * 
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU General Public License for more
 * details.
 * 
 * You should have received a copy of the GNU General Public License along with
 * this program; if not, write to the Free Software Foundation, Inc., 51
 * Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 */

/**
 * Service search status.
 * 
 * @author Rodolpho Atoji
 */
public enum ServiceStatus {

	/**
	 * Successful in performing service search on target.
	 */
	COMPLETED,
	
	/**
	 * Target device was discovered, but left the Bluetooth range.
	 */
	NOT_REACHABLE,
	
	/**
	 * Error while performing the service search.
	 */
	ERROR,
	
	/**
	 * Completed, but no service records were found.
	 */
	NO_RECORDS,
	
	/**
	 * Service search was terminated by request.
	 */
	TERMINATED,
	
	/**
	 * Currently running service search on target device.
	 */
	IN_PROGRESS,
	
	/**
	 * Service search was not performed, yet.
	 */
	UNKNOWN,
	
	/**
	 * Bad things happens.
	 */
	INVALID;
	
}
