package br.ime.usp.mac499.bluetooth.db;

import br.ime.usp.mac499.bluetooth.metadata.AdvertisingMetadata;
import br.ime.usp.mac499.bluetooth.metadata.DiscoveryMetadata;
import br.ime.usp.mac499.bluetooth.metadata.ServiceSearchMetadata;

/*
 * This file is part of MAC499 Bluetooth NFC 
 * Copyright (C) 2010 Rodolpho Atoji
 * 
 * This program is free software; you can redistribute it and/or modify it under
 * the terms of the GNU General Public License as published by the Free Software
 * Foundation; either version 2 of the License, or (at your option) any later
 * version.
 * 
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU General Public License for more
 * details.
 * 
 * You should have received a copy of the GNU General Public License along with
 * this program; if not, write to the Free Software Foundation, Inc., 51
 * Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 */

/**
 * Simple centralized DAO for persisting metadata.
 * 
 * @author Rodolpho Atoji
 */
public interface SimpleDAO {

	/**
	 * Save advertising metadata.
	 * @param metadata Advertising metadata.
	 */
	public void save(AdvertisingMetadata metadata);
	
	/**
	 * Save discovery metadata.
	 * @param metadata Discovery metadata.
	 */
	public void save(DiscoveryMetadata metadata);
	
	/**
	 * Save service search metadata.
	 * @param metadata Service search metadata.
	 */
	public void save(ServiceSearchMetadata metadata);
	
}
