package br.ime.usp.mac499.bluetooth.model;

/*
 * This file is part of MAC499 Bluetooth NFC Copyright (C) 2010 Rodolpho Atoji
 * 
 * This program is free software; you can redistribute it and/or modify it under
 * the terms of the GNU General Public License as published by the Free Software
 * Foundation; either version 2 of the License, or (at your option) any later
 * version.
 * 
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU General Public License for more
 * details.
 * 
 * You should have received a copy of the GNU General Public License along with
 * this program; if not, write to the Free Software Foundation, Inc., 51
 * Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 */

/**
 * Supported multimedia types.
 * 
 * @author Rodolpho Atoji
 */
public enum MediaType {
	
	TEXT_PLAIN		("text/plain"),
	AUDIO_3GPP		("audio/3gpp"),
	AUDIO_MPEG		("audio/mpeg"),
	IMAGE_GIF		("image/gif"),
	IMAGE_JPEG		("image/jpeg"),
	VIDEO_3GPP		("video/3gpp"),
	UNSUPPORTED		("unsupported");
	
	private final String mimeType;

	private MediaType(String mimeType) {
		this.mimeType = mimeType;
	}

	public String getMimeType() {
		return mimeType;
	}

	public static MediaType getMappingFor(String guessedMimeType) {
		for (MediaType type: values()) {
			if (type.getMimeType().equals(guessedMimeType))
				return type;
		}
		
		return UNSUPPORTED;
	}

}
