package br.ime.usp.mac499.bluetooth.model;

/*
 * This file is part of MAC499 Bluetooth NFC Copyright (C) 2010 Rodolpho Atoji
 * 
 * This program is free software; you can redistribute it and/or modify it under
 * the terms of the GNU General Public License as published by the Free Software
 * Foundation; either version 2 of the License, or (at your option) any later
 * version.
 * 
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU General Public License for more
 * details.
 * 
 * You should have received a copy of the GNU General Public License along with
 * this program; if not, write to the Free Software Foundation, Inc., 51
 * Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 */

/**
 * Supported priorities to order advertising devices.
 * 
 * @author Rodolpho Atoji
 */
public enum Priority {

	/**
	 * Device has performed an NFC touch.
	 */
	NFC_INITIATED,
	
	/**
	 * When device was discovered, either by discovery processes or NFC
	 * touch.
	 */
	WHEN_DISCOVERED,
	
	/**
	 * How many times the device has been discovered.
	 */
	TIMES_DISCOVERED,
	
	/**
	 * Service search errors.
	 */
	SERVICE_SEARCH_ERROR,
	
	/**
	 * Errors while trying to deliver contents to device.
	 */
	ADVERTISING_ERROR,
	
	/**
	 * Successfully accepted contents by device.
	 */
	ADVERTISING_SUCCESS;
	
}
