package br.ime.usp.mac499.util;

/*
 * This file is part of MAC499 Bluetooth NFC Copyright (C) 2010 Rodolpho Atoji
 * 
 * This program is free software; you can redistribute it and/or modify it under
 * the terms of the GNU General Public License as published by the Free Software
 * Foundation; either version 2 of the License, or (at your option) any later
 * version.
 * 
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU General Public License for more
 * details.
 * 
 * You should have received a copy of the GNU General Public License along with
 * this program; if not, write to the Free Software Foundation, Inc., 51
 * Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 */

/**
 * Utility class to handle operating system variables.
 * 
 * @author Rodolpho Atoji
 */
public class SystemUtils {

	/**
	 * @return Operating system name.
	 */
	public static String getOsName() {
		return org.apache.commons.lang.SystemUtils.OS_NAME;
	}

	/**
	 * @return <code>true</code> if running on a Windows system.
	 */
	public static boolean isWindows() {
		return org.apache.commons.lang.SystemUtils.IS_OS_WINDOWS;
	}

	/**
	 * @return <code>true</code> if running on a Linux system.
	 */
	public static boolean isLinux() {
		return org.apache.commons.lang.SystemUtils.IS_OS_LINUX;
	}

}
